Bug 690199 - Update request for zeromq package
Summary: Update request for zeromq package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zeromq
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 691081 691088
TreeView+ depends on / blocked
 
Reported: 2011-03-23 15:01 UTC by Mikhail Kulemin
Modified: 2011-04-15 21:15 UTC (History)
2 users (show)

Fixed In Version: python-zmq-2.1.4-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-07 18:49:34 UTC
Type: ---


Attachments (Terms of Use)

Description Mikhail Kulemin 2011-03-23 15:01:55 UTC
New stable version of zeromq is 2.1.3. Upstream is strongly recommend update to 2.1.x from 2.0.x. 

Erlang bindings depend on 2.1 too.

SRPM: http://mkulemin.fedorapeople.org/packages/zeromq-2.1.3-1.fc14.src.rpm

RPM: http://mkulemin.fedorapeople.org/packages/zeromq-2.1.3-1.fc14.x86_64.rpm

Comment 1 Thomas Spura 2011-03-23 16:22:44 UTC
Thanks for the ping.
(I didn't wand to update to the RCs before...)

By the way, you forgot the obsoltetes for the util package:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Renaming.2Freplacing_existing_packages

updated in rawhide, but python-zmq has currently a problem, will update in other branches, when that's resolved.

Comment 2 Thomas Spura 2011-03-23 16:24:22 UTC
By the way, do you need a buildroot override to build the erlang packages?

I don't see them in fedora yet...

Comment 3 Mikhail Kulemin 2011-03-23 17:50:29 UTC
No. Erlang bindings use only libzmq library. Now I am building erlang binding with new zeromq packages. 

New python-zmq sources are available (http://www.zeromq.org/bindings:python). Unfortunately I don`t know about dependencies with zmq-utils. I going to try to build new python bindings with new version.

Comment 4 Thomas Spura 2011-03-23 18:07:23 UTC
The python bindings 2.1.1 fail with nosetest, but otherwise are correct, so I'll update to 2.1.1 for now.

But there will be a 2.1.3 release "quite soon", so I'll wait for that till I update other branches (hope that's ok for you).

Comment 5 Mikhail Kulemin 2011-03-23 22:40:10 UTC
Thanks. Yes that`s ok, of course. It will take some time to check erlang bindings, but now unit tests are ok.

Comment 6 Fedora Update System 2011-04-06 11:16:15 UTC
python-zmq-2.1.4-1.fc15,zeromq-2.1.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-zmq-2.1.4-1.fc15,zeromq-2.1.4-1.fc15

Comment 7 Fedora Update System 2011-04-06 12:17:44 UTC
zeromq-2.1.4-1.fc14,python-zmq-2.1.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/zeromq-2.1.4-1.fc14,python-zmq-2.1.4-1.fc14

Comment 8 Fedora Update System 2011-04-06 12:19:01 UTC
zeromq-2.1.4-1.fc13,python-zmq-2.1.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/zeromq-2.1.4-1.fc13,python-zmq-2.1.4-1.fc13

Comment 9 Fedora Update System 2011-04-06 22:35:12 UTC
Package zeromq-2.1.4-1.fc14, python-zmq-2.1.4-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zeromq-2.1.4-1.fc14 python-zmq-2.1.4-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/zeromq-2.1.4-1.fc14,python-zmq-2.1.4-1.fc14
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-04-07 18:49:25 UTC
zeromq-2.1.4-1.fc14, python-zmq-2.1.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-04-14 20:56:57 UTC
zeromq-2.1.4-1.fc13, python-zmq-2.1.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-04-15 21:15:42 UTC
python-zmq-2.1.4-1.fc15, zeromq-2.1.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.